Subject: Re: Re: Label Spaces and Uniqueness

From: Anouk Rocher <[email-masked]>
Date: Tue, 10 Jul 2001 16:47:51 -0400

Eric,

I am sorry I mis-wrote. You are absolutely right (and you did
answer my question except for the follow on below).

I meant that the "outer" label is established by RSVP TE and the
inner by LDP. According to the martini drafts, the inner label
is usually associate with a layer 2 entity like frame-relay DLCI.

I see your point about problems with independent label spaces
operating at different levels of the stack if PHP is used. 
However, is it a MUST (in ietf terminology) to support PHP?
Ie if I have network which does not rely on PHP, is it otherwise
reasonable to allow independent label spaces - in the above example
one for the inside of a network (outer label, using rsvp-te) and
one for the edges (inner-label, using LDP).

Thanks!
Anouk.

________________________________________________
Get your own "800" number
Voicemail, fax, email, and a lot more
http://www.ureach.com/reg/tag

---- On Tue, 10 Jul 2001, Eric Gray ([email-masked]) wrote:

> Anouk,
> 
>     I assume that David can answer for himself, however I would like to
> get some things clarified.  Please see comments/questions below.
> 
> Anouk Rocher wrote:
> 
> > David,
> >
> > Let me clarify with a more specific example. Lets say we want
> > to deploy one of the l2 vpn mechanisms - say the one in
> draft-maritini-*
> > The inner label there is negotiated between the ingress and egress
> > LSRs via LDP (sort of multi-hop). The inner label is negotiated (say)
> > via RSVP-TE.
> 
> I believe one of these should be 'outer label'.  I assume you mean
> higher
> level, when you say 'outer' and lower level when you say 'inner' but,
> even
> so, I am not sure which should be which in your description above (just
> that they cannot both be the same).
> 
> Would you recast your question somehow distinguishing which is which?
> 
> >
> >
> > I don't see a reason why LDP and RSVP-TE be forced to use the same
> > label space in this case. (I am sure there are similar cases while
> > using wavelengths as labels.)
> >
> > Am I missing something obvious?
> 
> So, one reason would be if PHP is used.  In this case, the egress for
> the
> lower level label will not have received the higher level label and will
> not
> be able to distinguish it from other labels it receives from the
> penultimate
> hop.  Give that this is the case, then the egress LSR must not
> distribute
> a label to be used by the remote LSR at the other end of the LSP tunnel
> with a different meaning then an identical label distributed to the
> local
> LSR that happens to be the punultimate hop for the LSP tunnel.
> 
> This is an example of when the label space MUST be the same.  Does this
> answer your question?

---

From: Eric Gray <[email-masked]>
Date: Wed, 11 Jul 2001 09:15:58 -0400

Anouk,

    Support for PHP is not exactly required, but not supporting it will cause
problems when trying to interwork with an implementation that wants to
use it.  However the egress LSR controls whether or not it is used.  This
is why I have been saying that it is possible, as a local matter, for the
egress from an LSP to associate some context with that LSP and apply
that context when considering a subsequent label.

    You asserted that there was no reason why an LSP signaling protocol
might be forced to use a single label space and asked if you might have
missed something.  I was responding with the PHP scenario mostly for
clarification.

--
Eric Gray